Subject: Re: [TOOLS-DEVELOPMENT] Mail delivery failed: returning message to sender

From: Cullen Jennings <[email-masked]>
Date: Thu, 18 Jun 2009 11:36:51 -0700

Folks, any idea what is going on here ....

On Jun 17, 2009, at 17:26 , Hadriel Kaplan wrote:

>
> Ummm... ya might want to look into this... looks like [email-masked] 
>  is bouncing your emails Robert. :(
>
> -hadriel
>
>
>> -----Original Message-----
>> From: Mail Delivery System [mailto:[email-masked] 
>> ]
>> Sent: Wednesday, June 17, 2009 8:24 PM
>> To: Hadriel Kaplan
>> Subject: Mail delivery failed: returning message to sender
>>
>> This message was created automatically by mail delivery software.
>>
>> A message that you sent could not be delivered to one or more of its
>> recipients. This is a permanent error. The following address(es)  
>> failed:
>>
>>  [email-masked]
>>    (generated from [email-masked])
>>    SMTP error from remote mail server after MAIL
>> FROM:<[email-masked]> SIZE=3840:
>>    host shaman.nostrum.com [72.232.15.10]: 550 5.7.1
>> <[email-masked]>... Please see
>> http://spf.pobox.com/why.html?sender=[email-masked]&ip=194.146.105
>> .14&receiver=nostrum.com
>>
>> ------ This is a copy of the message, including all the headers.  
>> ------
>>
>> Return-path: <[email-masked]>
>> Received: from etmail.acmepacket.com ([216.41.24.6]:55556)
>> 	by merlot.tools.ietf.org with esmtps (TLS1.0:RSA_ARCFOUR_MD5:16)
>> 	(Exim 4.69)
>> 	(envelope-from <[email-masked]>)
>> 	id 1MH5Pw-0005yE-SW
>> 	for [email-masked]; Thu, 18 Jun 2009 02:23:49 +0200
>> Received: from mail.acmepacket.com (216.41.24.7) by  
>> etmail.acmepacket.com
>> (216.41.24.6) with Microsoft SMTP Server (TLS) id 8.1.340.0; Wed,  
>> 17 Jun
>> 2009
>> 20:23:33 -0400
>> Received: from mail.acmepacket.com ([127.0.0.1]) by mail  
>> ([127.0.0.1])
>> with
>> mapi; Wed, 17 Jun 2009 20:23:33 -0400
>> From: Hadriel Kaplan <[email-masked]>
>> To: "James M. Polk" <[email-masked]>, Mary Barnes
>> <[email-masked]>,
>> 	"[email-masked]" <[email-masked]>
>> CC: "[email-masked]" <[email-masked]>
>> Date: Wed, 17 Jun 2009 20:23:21 -0400
>> Thread-Topic: [dispatch] IETF-75 plans for DISPATCH
>> Thread-Index: AcnvqJ06EX1eG6D5SfinSq1O6e9vFAAAEuFQ
>> Message-ID: <E6C2E8958BA59A4FB960963D475F7AC3194184895D@mail>
>> References:
>> <[email-masked]>
>> 	<[email-masked]>
>> <[email-masked]>
>> In-Reply-To: <[email-masked]>
>> Accept-Language: en-US
>> Content-Language: en-US
>> X-MS-Has-Attach:
>> X-MS-TNEF-Correlator:
>> acceptlanguage: en-US
>> Content-Type: text/plain; charset="us-ascii"
>> Content-Transfer-Encoding: quoted-printable
>> MIME-Version: 1.0
>> X-SA-Exim-Connect-IP: 216.41.24.6
>> X-SA-Exim-Rcpt-To: [email-masked]
>> X-SA-Exim-Mail-From: [email-masked]
>> X-Spam-Checker-Version: SpamAssassin 3.2.5 (2008-06-10) on
>> 	merlot.tools.ietf.org
>> X-Spam-Level:
>> X-Spam-Status: No, score=-2.6 required=3.0 tests=BAYES_00,SPF_PASS
>> 	autolearn=no version=3.2.5
>> Subject: RE: [dispatch] IETF-75 plans for DISPATCH
>> X-SA-Exim-Version: 4.2.1 (built Wed, 25 Jun 2008 17:14:11 +0000)
>> X-SA-Exim-Scanned: Yes (on merlot.tools.ietf.org)
>>
>>
>>> -----Original Message-----
>>> From: [email-masked] [mailto:[email-masked]]  
>>> On
>>> Behalf Of James M. Polk
>>> Sent: Wednesday, June 17, 2009 8:06 PM
>>> =20
>>> At 06:39 PM 6/17/2009, Mary Barnes wrote:
>>>> The additional topic on Session Recording was put forth after  
>>>> June 8th
>>>> and has not yet been considered in the IETF-75 plans.  However, if
>> there
>>>> is enough interest in the topic and folks committed to the work,  
>>>> then
>> we
>>>> may be able to allocate agenda time.
>>> =20
>>> I'm rather stunned that demonstrated interest isn't being considered
>>> sufficiently clear on this topic to the WG chairs or ADs.
>>
>> +1.  And considering the topic was put forth 10hrs and 1 minute  
>> after the
>> d=
>> eadline, it's not like the fewer 10 hours (and 1 minute) left people
>> withou=
>> t time to think about it.  :)
>>
>> -hadriel

---

From: <[email-masked]>
Date: Thu, 18 Jun 2009 20:52:13 +0200

It looks like nostrum.com email filters are using SPF (RFC 4408),
and acmepacket.com has published SPF "v=spf1 mx ip4:216.41.24.7 -all".

As described in RFC 4408 Section 9.3, SPF doesn't really work with 
forwarding services (like [email-masked]) that keep the
same MAIL FROM address. 

Section 9.3 also describes some ways to solve this; the simplest
here would probably be to configure nostrum.com's servers to skip
the SPF check for *.tools.ietf.org... 

Best regards,
Pasi

> From: ext Cullen Jennings [mailto:[email-masked]]
> Sent: 18 June, 2009 21:37
> To: Eronen Pasi (Nokia-NRC/Helsinki); [email-masked]
> Cc: Hadriel Kaplan; Robert Sparks; Robert Sparks
> Subject: Re: Mail delivery failed: returning message to sender
> 
>

---

From: Robert Sparks <[email-masked]>
Date: Thu, 18 Jun 2009 14:24:36 -0500

Yeah, that whitelist went in when we first got Hadriel's note.

But that only fixes one place where there might be trouble. We're also  
looking into ways to tweak the forwarding service such that other  
folks aren't bitten.

RjS

On Jun 18, 2009, at 1:52 PM, <[email-masked]> <[email-masked] 
 > wrote:

>> http://spf.pobox.com/why.html?sender=[email-masked]&ip=194.146 
>> .
>> 105
>>>> .14&receiver=nostrum.com
>>>>